import { world } from "@minecraft/server";
import { dropBuddyParts } from "./getBuddyPart";

world.afterEvents.entityDie.subscribe((data) => {
  const buddy = data.deadEntity
  
    if(buddy.typeId == 'arcedge_bap:buddy') {
      dropBuddyParts(buddy)
    }
})